/// classProspectDirector.Types.View.FindColumn
/// using ProspectDirector.Types.View.Finder

ProspectDirector.Types.View.FindColumn = ProspectDirector.Types.View.Finder.extend({
    
    _okButton_onClick: function (sender, e) {

        var selected = this._getSelectedRows(),
            dataRows = [];

        for (var i = 0; i < selected.length; i++) {
            var row = this._getRow(selected[i]);
            dataRows[dataRows.length] = {
                id: row.id,
                name: row.name
            };
        }

        this.get_dialog().data("dialog").hide({
            command: "ok",
            data: dataRows
        });

    }

});